main:
  mov ax, cs
  mov ds, ax

  call debug_init
  call heap_init

  mov ax, 18
  call malloc

.endloop:
  hlt
  jmp .endloop

%include "kernel/heap.asm"
%include "kernel/intr.asm"
%include "kernel/debug.asm"
%include "kernel/kprintf.asm"

align 16
heap:
  dw 0
